
#include <ox/std/span.hpp>

namespace studio {

[[nodiscard]]
ox::SpanView<uint8_t> WindowIcon16() noexcept;

[[nodiscard]]
ox::SpanView<uint8_t> WindowIcon32() noexcept;

[[nodiscard]]
ox::SpanView<uint8_t> WindowIcon48() noexcept;

[[nodiscard]]
ox::SpanView<uint8_t> WindowIcon128() noexcept;

[[nodiscard]]
ox::SpanView<uint8_t> WindowIcon264() noexcept;

[[nodiscard]]
ox::SpanView<uint8_t> WindowIcon1080() noexcept;

[[nodiscard]]
ox::Vector<ox::SpanView<uint8_t>> WindowIcons() noexcept {
	return {
		WindowIcon16(),
		WindowIcon32(),
		WindowIcon48(),
		WindowIcon128(),
		WindowIcon264(),
		WindowIcon1080(),
	};
}

}